using MongoDB.Bson;
using MongoDB.Bson.Serialization.Attributes;

namespace Marco.Pms.Model.TenantModels.MongoDBModel
{
    public class ReportDetails
    {
        [BsonId]
        [BsonRepresentation(BsonType.String)]
        public Guid Id { get; set; } = Guid.NewGuid();
        public bool BasicReports { get; set; } = true;
        public bool CustomReports { get; set; } = false;
        public List<string> ExportData { get; set; } = new List<string>();
    }
}